// SPDX-FileCopyrightText: 2019-2024 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef MACOSAPPLICATION_H
#define MACOSAPPLICATION_H

#include <QApplication>

class MacOSApplication : public QApplication
{
    Q_OBJECT

public:
    MacOSApplication(int &argc, char **argv);
    bool event(QEvent *event) override;

Q_SIGNALS:
    void fileOpenRequested(const QString &path);

};

#endif // MACOSAPPLICATION_H
